

/*-------------菜单调整为三级,如果不是三级菜单结构忽略---------------*/
body{
    --menu-bg-color1:#F0F8FA;
    --menu-bg-color2:#001529;
    --menu-bg-color3:rgba(0, 0, 0, 0.06);
    --menu-font-color1:#687177;
    --menu-font-color2:#001529;
    --menu-font-color3:#C8D2D2;
    --menu-font-color4:#999997;
    --theme-color1:#06666F;
    /* 激活颜色 */
    --menu-font-color-active:#93C6C7;
    --menu-font-color-active1:#0D636E;
    --menu-bg-color-active:none;
    --border-color-active:#C4ABAB;
    --menu-width:220px;
}
.cl-sidebar{width:var(--menu-width)}
#cl-wrapper.fixed-menu .menu-space{width:var(--menu-width)}
#dv_scroll{width:var(--menu-width)}
#menu li.active-li>ul,.menu-cus.active-li .sub-menu,.menu-cus.active-li .sub-menu>ul{display: block;overflow-y: scroll;overflow-x: hidden}
#menu li.active-li>a,.menu-cus.active-li>a{color: var(--menu-font-color-active);}
#menu li.active-li>ul>li.active-li>ul>li.active-li>a{background-color: var(--menu-bg-color-active);}
#menu>li>ul>li>a{position: relative;}
#menu>li>ul>li>a>span:nth-of-type(1){font-size: 12px;font-weight: 400;white-space: break-spaces;}
#menu>li>ul>li>a::after{
    display: inline-block;
    content: "\f107";
    font: normal normal normal 14px/1 FontAwesome;
    font-size: 2em;
    -transform: rotateX(-180deg);
    position: absolute;
    right: 4px;
    transition-property: transform;
    transition-duration: .5s;
    transition-timing-function: ease;
}
#menu>li>ul>li:hover{
    border:none;
}
/*二级 */
#menu>li>.sub-menu>li a,.menu-cus .sub-menu .sMenu a{
    height: 40px;
    display: inline-table;
}
#menu>li>.sub-menu>.sMenu a:hover,.menu-cus .sub-menu .sMenu a:hover{
    background-color:var(--menu-bg-color3);
    -text-align: center;
    padding: 20px;
    border-color:var(--border-color-active);
    -justify-content: center;
}
#menu>li>.sub-menu>.sMenu>.active-a,.menu-cus .sub-menu .sMenu>.active-a{
    background-color: var(--menu-bg-color-active);
    padding: 20px;
    border-color:var(--border-color-active);
}
#menu>li>ul>li:hover>a{
    color: var(--menu-font-color-active1);
    -border-color:var(--border-color-active);
}
#menu>li>ul>li>a:hover{
    border-color:var(--border-color-active);
}
#dv_scroll_text{height:calc(100vh - 50px) !important;}
#menu{
    position: relative;height:calc(100% - 80px);
}
@media (min-width: 600px) and (max-width: 992px) {
    #menu{
        overflow-y: scroll;
        overflow-x: hidden;
    }
}
#dv_scroll_bar{display:none !important;}
#menu>li>a>span{
    display: none;
}
#menu>li>a:hover{
    position: relative;
    border:none;
}
#menu>li>a:hover>span:nth-of-type(1){
    position: absolute;
    top: 0px;
    left: 48px;
    z-index: 5;
    height: 100%;
    background:var(--menu-bg-color2);
    width: 100%;
    display: flex;
    align-items: center;
    padding-left: 4px;
    font-size: 20px;
}
#menu>li>.sub-menu,.menu-cus .sub-menu{
    display: none;
    position: absolute;
    top: -80px !important;
    left: 55px;
    height:calc(100vh - 50px);
    width: calc(100% - 54px);
}
.menu-cus .sub-menu{
    top: -0px !important;
    z-index: 1;
    background-color: #063D44;
    overflow-y: scroll !important;
}
.menu-cus .sub-menu .menu-search-box{
    background-color: #063D44;
}
#menu>li>.sub-menu>li>a, .menu-cus>.sub-menu .sMenu>a{
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-left: 8px;
    padding-right: 20px;
}
.menu-cus>.sub-menu .sMenu>a{
    padding-left: 26px;
}
#menu>li>.sub-menu>.active-li>a::after{
    transform: rotateX(-180deg);
}
.cl-vnavigation .parent ul li:last-child{
    padding-bottom:0;
}
#menu>li>.sub-menu>li>.sub-menu>li>a>{
    padding-left: 36px;
    color:var(--menu-font-color1);
}
.cl-vnavigation .parent ul li a{
    background-color: transparent;
}
.cl-vnavigation li ul{
    background-color: #063D44;
    overflow-y: scroll !important;
}
/* 覆盖 */
.menu-cus .menu-search-path{
   color: var(--menu-font-color4);
}
.menu-cus .menu-search-history-item{
    color: var(--menu-font-color4);
}
.menu-cus .menu-search-history-item.active{
    color:var(--menu-font-color-active);
}
.menu-cus .menu-history-result .history-item{
    background: #355f66;
    color: var(--menu-font-color3);
}
#menu li.active-li>ul>[panecode]>a::after{content: "";}
#menu a:hover,#menu .parent ul li.active a,.menu-cus .parent ul li.active a{
    color: var(--menu-font-color-active);
    border-color:var(--border-color-active);
}
.cl-vnavigation li a:hover {
    background:var(--menu-bg-color2);
}
.cl-vnavigation .parent ul li a:hover{
    background-color:var(--menu-bg-color3);
}

/* ----------菜单调整为三级,如果不是三级菜单结构忽略-------------- */
#cl-wrapper.fixed-menu .menu-space{background:var(--menu-bg-color2)}
.cl-vnavigation .parent a {background:var(--menu-bg-color2)}
.nano:hover > .nano-pane{width:0}
#menu>li>ul>li>ul>li>a>span:nth-of-type(1),.menu-cus .sub-menu li>a>span:nth-of-type(1){width: 100%;
    white-space: break-spaces;}
#menu .fa-align-right{transform: rotate(180deg);}
#sub-menu-nav .dropdown-header{
    display: none;
}
#sub-menu-nav>ul>li>{position: relative;}
#sub-menu-nav>ul>li>ul{position: absolute;left: 100%;top:0!important;display: none;}
#sub-menu-nav>ul>li:hover>ul{display: block;}
.mContainer{width:calc(100% - 220px);margin-left: 220px;}
/*-------------菜单调整为三级---------------*/
/*-------------报表按钮位置---------------*/
.gui-layout-container{position: static;}
.path_container{position:relative}
.report-id-btn-box{position:absolute;top:0px;right:15px;}
.drawer .report-id-btn-box{z-index: 99;}
.report-id-btn-box>ul{right:0}
/*-------------报表按钮位置---------------*/
/*----------------icon------------------*/
@font-face {
    font-family: "iconfont"; /* Project id  */
    src: url('./menu_icon/iconfont.ttf') format('truetype');
}
[class*="fa-custom"]{
    font-family: "iconfont" !important;
    font-size: 22px !important;
    font-style: normal;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.fa-custom-bank::before{content: "\e667";}
.fa-custom-object-ungroup::before{content: "\e615";}
.fa-custom-list-alt::before{content: "\e8ae";}
.fa-custom-cubes::before{content: "\e649";}
.fa-custom-plane::before{content: "\e612";}
.fa-custom-bms::before{content: "\e604";}
.fa-custom-random::before{content: "\e67e";}
.fa-custom-compress::before{content: "\e694";}
.fa-custom-tv::before{content: "\e6d6";}
/*----------------icon------------------*/
/*----------------界面风格调整------------*/
.btn-query,.btn-add{background-color:var(--theme-color1) !important;}
.more-button .btn-add{color:#333 !important;}
.btn-delete{background-color:#FFC300 !important;border-color:#FFC300 !important;}
.ui-tabs .ui-tabs-nav li:not(.path_item).ui-tabs-active .ui-tabs-anchor,
.ui-tabs .ui-tabs-nav li:not(.path_item).ui-state-disabled .ui-tabs-anchor,
.ui-tabs .ui-tabs-nav li:not(.path_item).ui-tabs-loading .ui-tabs-anchor,
.ui-tabs .ui-tabs-nav li:not(.path_item) .ui-tabs-anchor:hover,
.nav-tabs > li.active > a,
.nav-tabs > li.active,
.nav-tabs > li.active > a:hover,
.nav-tabs > li > a:hover,
.cl-vnavigation li a:hover,
.path_container > .ui-tabs-nav li.ui-tabs-active .ui-tabs-anchor{
    color:var(--theme-color1) !important;
    border-color:var(--theme-color1);
}
.cl-vnavigation li a,
.dropdown-menu > li > a,
.dropdown-menu > li > a:hover
{color:var(--menu-font-color3)}
.nav-tabs > li.active > a:focus{border-bottom: 2px solid var(--theme-color1);}
#menu>li>.sub-menu>li>ul>li>a,.menu-cus.sub-menu>li>ul>li>a{color:var(--menu-font-color4)}
.more-button > ul > li:hover,
#sub-menu-nav ul li a:hover,
.nav-tabs > li.dropdown.open a,
.treeSelect>div:nth-child(2)>p>span:nth-of-type(n+2),
.treeSelect>div>ul::-webkit-scrollbar-thumb,
.nav-tabs > li.dropdown.open .dropdown-menu
{background-color: var(--theme-color1) !important;}
.jltms-panel-content{border-color:var(--theme-color1)}
.ui-widget-overlay{-opacity: 0}
.text-nowrap {
    border: solid #f5f5f5 6px;
    box-sizing: border-box;
    position: relative;
    border-radius: 15px;
    box-shadow: 2px 2px 2px #dadada;
    white-space: nowrap;
}
.bg-forbidden {
    border: solid #f5f5f5 6px;
    box-sizing: border-box;
    position: relative;
    border-radius: 15px;
    box-shadow: 2px 2px 2px #dadada;
    color: #fff;
    background-color: #C6C4C6;
}
.bg-occupy {
    border: solid #f5f5f5 6px;
    box-sizing: border-box;
    position: relative;
    border-radius: 15px;
    box-shadow: 2px 2px 2px #dadada;
    color: #fff;
    background-color: #0C656D;
}

.bg-release {
    border: solid #f5f5f5 6px;
    box-sizing: border-box;
    position: relative;
    border-radius: 15px;
    box-shadow: 2px 2px 2px #dadada;
    color: #fff;
    background-color: #0C656D;

}

.bg-dropid {
    border: solid #f5f5f5 6px;
    box-sizing: border-box;
    position: relative;
    border-radius: 15px;
    box-shadow: 2px 2px 2px #dadada;
    color: #fff;
    background-color: #0C656D;
}

.bg-checked {
    color: #fff;
    background-color: #0C656D;
    border: solid #FFE400 6px;
    box-sizing: border-box;
    position: relative;
    border-radius: 15px;
    box-shadow: 2px 2px 2px #dadada;
}
.bg-white {
    border: solid #f5f5f5 6px;
    box-sizing: border-box;
    position: relative;
    border-radius: 15px;
    box-shadow: 2px 2px 2px #dadada;
    background-color: #fff;
}
.btn-workstation-count {
    width:230px;
    text-align: center;
    margin: 0px 30px 2px;

    height:81px !important;
    font-size:20px !important;
    background: #0C656D !important;
    border-color: #0C656D !important;
    color: #fff !important;
    position: relative !important;
    border-radius: 15px !important;
    box-shadow: 2px 2px 2px #dadada !important;
}
.btn-workstation-replenish-count {
    width:230px;
    text-align: center;
    margin: 0px 30px 2px;
    height:40px !important;
    font-size:20px !important;
    background: #0C656D !important;
    border-color: #0C656D !important;
    color: #fff !important;
    position: relative !important;
    border-radius: 10px !important;
    box-shadow: 2px 2px 2px #dadada !important;
}
.btn-workstation-shelf-count {
    width:150px;
    text-align: center;
    margin: 0px 30px 2px;
    white-space: normal; /* 设置为自动换行 */
    word-wrap: break-word; /* 允许浏览器在单词内断行 */
    vertical-align: middle;
    height:81px !important;
    font-size:18px !important;
    background: #0C656D !important;
    border-color: #0C656D !important;
    color: #fff !important;
    position: relative !important;
    border-radius: 15px !important;
    box-shadow: 2px 2px 2px #dadada !important;
}
/*----------------界面风格调整------------*/
/*--------------头部菜单调整--------------*/
.nav_container{width:calc(100% - 600px)}
/*--------------头部菜单调整--------------*/
/*--------------功能说明文档-------------------*/
#function_description{width:auto;height:100vh;transition:width 1s;background:#fff;position: fixed;right:0;top:0;z-index:9999;}
#docx_box_container{
    overflow-y: auto;
    overflow-x: hidden;
    width:100%;
    height:100%;
}
#docx_box_container>#docx_box{
    width: 713px;
    padding: 20px;
    background: gray;
}
#docx_box_container>#docx_box img{
   max-width:90%;
    height: auto;
}
#docx_box_container>#docx_box>.docx_box_html{
    background-color: #fff;
    min-height: 870px;
    padding: 10px;
}
#docx_box_container>#docx_box>.docx_box_html>p:first-of-type{
    font-weight: 700;
    font-size: 22px;
}
#docx_box_container::-webkit-scrollbar{
    width:10px;
}
#docx_box_container::-webkit-scrollbar-thumb{
    background-color:var(--theme-color1);
}
#function_description.close_desc_container{width:0;transition:width 1s;}
#function_description>button{position:absolute;top:50%;left:-15px;background-color:var(--theme-color1) !important;color:#fff;writing-mode: tb-rl;
    height: auto !important;
    display: none;
    padding: 6px 0px;
    font-size: 14px;border:none !important;}
#function_description>.close_desc_btn{
    left:0;
    border-top-left-radius:0 !important;
    border-bottom-left-radius-left-radius:0 !important;
}
#function_description>.open_desc_btn{
    border-top-right-radius:0 !important;
    border-bottom-right-radius:0 !important;
}
#function_description>button>i{margin-right:0}
/*--------------功能说明文档-------------------*/
/*--------------抽屉样式----------------------*/
.drawer .toolbar ul > li{padding: 0 4px 0 0;line-height: normal;}
.drawer_content .report-id-btn-box{    top: 50px;
    padding: 10px 30px;
    right: 0;
    background: #fff;}
.drawer_content{padding-left: 16px;}
.drawer .drawer-title{
    color: var(--theme-color1);
    height: 50px;
    line-height: 50px;
    font-weight: 700;
    border-bottom: 1px solid #ccc;
    text-indent: 20px;
}
.drawer .drawer-close{position: absolute;
    top: 0;
    right: 0;
    color: var(--menu-font-color-active1);
    background: transparent !important;
    border: none !important;
    transform: scale(1.2);
    height: 50px !important;
    width: 50px;
}
.drawer .drawer-close>i{transform:scale(1.5)}
.drawer .drawer-switch{
    position: absolute;
    background: var(--menu-font-color-active1) !important;
    border-radius: 2px !important;
    color: #fff;
    border: none !important;
    left: -6px !important;
    padding: 0;
    padding-right: -4px;
    z-index: 9;
    font-size: 16px;
    text-indent: 3px;
    transform: scale(0.8);
    display: flex;
    align-items: center;
    justify-content: center;
}
/*--------------抽屉样式----------------------*/
.form-content-control-height{border-bottom:1px solid var(--menu-font-color-active1);position: relative;}
.form-content-control-height .form-content{transition: height 0s !important;}
.form-content-control-height .control-height-switch{
    background: var(--menu-font-color-active1) !important;
    border-radius: 2px !important;
    color: #fff;
    border: none !important;
    z-index: 9;
    position: absolute;
    bottom:-15px;
    left:50%;
    transform: rotateZ(90deg) scale(0.8) !important;
    padding: 0;
    padding-left: 4px;}
.drawer .form-content .ui-form-elem-group input{min-width: 100px;}
.drawer .form-content::-webkit-scrollbar-corner{background-color: transparent}
.drawer .drawer_content>.fold-slider-box{height: calc(100vh - 50px);overflow: scroll;}
.drawer .drawer_content>.fold-slider-box>.form-content{height:100%;}
.drawer .drawer_content .toolbar-group-left{overflow: initial;width: 100vw;}
.drawer .drawer_content .toolbar-group-right{position:absolute;right:0;}
.drawer .drawer_content .toolbar-group-right>li{padding:0 !important;}